org.optaplanner.core.impl.score.stream.bavet.bi

## Class BavetJoinBiNode<A,B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiNode<A,B>
    - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetJoinBiNode<A,B>

- All Implemented Interfaces:
    BavetJoinNode, BavetNode

      public final class BavetJoinBiNode<A,B>
      extends BavetAbstractBiNode<A,B>
      implements BavetJoinNode

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeOrder, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetJoinBiNode(BavetConstraintSession session, int nodeOrder, BavetJoinBridgeUniNode<A> leftParentNode, BavetJoinBridgeUniNode<B> rightParentNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildNode(BavetAbstractBiNode<A,B> childNode)`
    `BavetJoinBiTuple<A,B>` | `createTuple(BavetAbstractBiTuple<A,B> parentTuple)`
    `BavetJoinBiTuple<A,B>` | `createTuple(BavetJoinBridgeUniTuple<A> aTuple, BavetJoinBridgeUniTuple<B> bTuple)`
    `BavetIndex<BavetJoinBridgeUniTuple<A>>` | `getLeftIndex()`
    `BavetIndex<BavetJoinBridgeUniTuple<B>>` | `getRightIndex()`
    `void` | `refresh(BavetJoinBiTuple<A,B> tuple)`
    `void` | `refreshChildTuplesLeft(BavetJoinBridgeUniTuple<A> leftParentTuple)`
    `void` | `refreshChildTuplesRight(BavetJoinBridgeUniTuple<B> rightParentTuple)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetJoinBiNode

          public BavetJoinBiNode(BavetConstraintSession session,
                                 int nodeOrder,
                                 BavetJoinBridgeUniNode<A> leftParentNode,
                                 BavetJoinBridgeUniNode<B> rightParentNode)

  - ### Method Detail

    - #### addChildNode

          public void addChildNode(BavetAbstractBiNode<A,B> childNode)

      Overrides:
        `addChildNode` in class `BavetAbstractBiNode<A,B>`

    - #### createTuple

          public BavetJoinBiTuple<A,B> createTuple(BavetAbstractBiTuple<A,B> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractBiNode<A,B>`

    - #### createTuple

          public BavetJoinBiTuple<A,B> createTuple(BavetJoinBridgeUniTuple<A> aTuple,
                                                   BavetJoinBridgeUniTuple<B> bTuple)

    - #### refresh

          public void refresh(BavetJoinBiTuple<A,B> tuple)

    - #### refreshChildTuplesLeft

          public void refreshChildTuplesLeft(BavetJoinBridgeUniTuple<A> leftParentTuple)

    - #### refreshChildTuplesRight

          public void refreshChildTuplesRight(BavetJoinBridgeUniTuple<B> rightParentTuple)

    - #### getLeftIndex

          public BavetIndex<BavetJoinBridgeUniTuple<A>> getLeftIndex()

    - #### getRightIndex

          public BavetIndex<BavetJoinBridgeUniTuple<B>> getRightIndex()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.